package edu.ubu.csapp;

import java.io.Serializable;

public class Product implements Serializable {

  private static final long serialVersionUID = 1234567L;

  private String description;
  private double price;
  private int    unit;

  public Product() {
  }

  public Product(String description, double price, int unit) {
    this.description = description;
    this.price = price;
    this.unit = unit;
  }

  public String getDescription() { return description; }
  public double getPrice() { return price; }
  public int getUnit() { return unit; }

  public void setDescription(String description) { this.description = description; }
  public void setPrice(double price) { this.price = price; }
  public void setUnit(int unit) { this.unit = unit; }

  @Override
  public String toString() {
    return String.format("สั่งสินค้า '%s' จำนวน %d ชิ้น ราคาชิ้นละ %.2f บาท", description, unit, price);
  }
}