package edu.ubu.csapp;

import java.io.*;
import java.util.*;

public class PointOfSaleApp {

    // java -cp build/libs/csubuapp.jar edu.ubu.csapp.PointOfSaleApp
    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        System.out.print("ระบุจำนวนสินค้า: ");
        int n = s.nextInt();
        s.nextLine();

        ArrayList<Product> products = new ArrayList<>();
        for (int i=0; i<n; i++) {
            System.out.printf("ชื่อสินค้า #%d: ", i+1);
            String desc = s.nextLine();
            System.out.printf("ราคาสินค้า #%d: ", i+1);
            double price = s.nextDouble();
            System.out.printf("จำนวนชิ้นของสินค้า #%d: ", i+1);
            int unit = s.nextInt();
            s.nextLine();
            products.add(new Product(desc, price, unit));
        }
        saveLongFile(products);
        ArrayList<Product> db = loadFromFile();
    }

    private static ArrayList<Product> loadFromFile() {
        String fname = "products.db";
        ArrayList<Product> products = new ArrayList<>();
        try (ObjectInputStream oos = new ObjectInputStream(new FileInputStream(fname))) {
            products = (ArrayList<Product>)oos.readObject();
            return products;
        } catch (Exception e) {
        }
        return products;
    }

    private static void saveLongFile(ArrayList<Product> products) {
        String fname = "products.db";
        try (ObjectOutputStream oos = new ObjectOutputStream(new FileOutputStream(fname))) {
            oos.writeObject(products);
        } catch (Exception e) {
        }
    }

}